/* Mathematiques de l'informatique graphique    */
/* Position en 3D                               */
/*                                              */
/* Mars 2021                                    */

#include "CH3D.h"
#include "Pos3D.h"

/* Construit l'origine                          */

Pos3D::Pos3D(void):CH3D() {
}

/* Construit la position (xp,yp,zp)             */

Pos3D::Pos3D(float xp,float yp,float zp):CH3D(xp,yp,zp,1.0F) {
}

/* Construit un clone de la Pos3D p             */

Pos3D::Pos3D(Pos3D *p):CH3D(p) {
}

/* Construit un clone de la CH3D ch             */

Pos3D::Pos3D(CH3D *ch):CH3D(ch) {
}

/* Destructeur                                  */

Pos3D::~Pos3D(void) {
}
